WLAN_XAUTH(4)

NAME
wlan_xauth - External authenticator support for 802.11 devices

SYNOPSIS
device wlan_xauth

DESCRIPTION
The wlan_xauth module is a wlan(4) authenticator plugin for use with user-mode authentication implementations such as hostapd. It hooks into the 802.11 layer and does nothing. As a result, 802.11 stations that associate are not authorized to send or receive frames until they are authorized by an external agent; typically using a protocol such as WPA, 802.1x, or 802.11i.

This module is automatically loaded by the rc script that normally starts hostapd(8).

SEE ALSO
wlan(4)

STANDARDS
More information can be found in the IEEE 802.11, WPA, and 802.11i Standards.

HISTORY
The wlan_xauth driver first appeared in FreeBSD 6.0.